﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using CMS.SiteProvider;
using CMS.GlobalHelper;
using System.Data;
using CMS.CMSHelper;

public partial class XSSPersistent : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
    }


    protected override void OnPreRender(EventArgs e)
    {
        try
        {
            CMSContext.Init();
        }
        catch
        {
            throw new Exception("You must specify connection string to Kentico CMS database in web.config");
        }
        base.OnPreRender(e);
        GetLast5Users();
    }

    protected void btnAddUser_Click(object sender, EventArgs e)
    {
        if (txtUserName.Text != "" && txtFirstName.Text != "")
        {
            UserInfo ui = new UserInfo();

            ui.UserName = txtUserName.Text;
            ui.FirstName = txtFirstName.Text;

            UserInfoProvider.SetUserInfo(ui);

            Response.Write("New user was saved");

        }
        else
        {
            Response.Write("Insert some UserName and FirstName");
        }
    }


    private void GetLast5Users()
    {
        lblUser.Text = "";

        DataSet ds = UserInfoProvider.GetUsers("", "UserCreated DESC", 5, "");

        if (ds != null)
        {
            foreach (DataRow dr in ds.Tables[0].Rows)
            {
                lblUser.Text += dr["username"] + " |  " + dr["Firstname"] + "<br/>";
            }
        }
    }
}
